Subject: Re: bug#16763: 24.3.50; electric-indent annoyance: C-j doesn't indent

From: Andreas Röhler <[email-masked]>
Date: Sat, 15 Feb 2014 20:50:15 +0100

Am 15.02.2014 20:27, schrieb Drew Adams:
>> This has been bothering me for a while when writing lisp code --
>> started happening roughly a few months ago.
>
> Yup.
>
>> I always hit C-j for newline, and a couple of months ago, this
>> stopped indenting -- by default C-j runs control j  runs the
>> command electric-indent-just-newline when electric-indent-mode
>> is on.
>>
>> The documentation for electric-mode indicates that indentation
>> will be invoked when you type any of the chars in
>> electric-indent-chars  -- and that variable is set to a list
>> containing ?\n which is  ascii 10; yet, C-j invokes a command
>> that explicitly only inserts a newline? (feeling very confused)
>
> It is not yet reflected in NEWS or the manuals, but `C-j' and
> `RET' have been effectively swapped: `RET' now indents and `C-j'
> does not indent.
>
> The new behavior was apparently adopted to make Emacs correspond
> better with what newbie users expect, based on their experience
> with other editors and IDEs.
>
> You are not alone in "feeling very confused".  Hopefully, the
> NEWS entry covering this, and perhaps the manuals, will explain
> the best and simplest way to restore the previous, longstanding
> behavior for those who might prefer it.  Otherwise, you can
> just retrain your fingers. ;-)
>
>
>
>

Seems a wise change for the majority of beginners nonetheless.
In most cases you will indent when writing lines of code.
Rather seldom column 0 is needed,.
So I'm ready to learn... :-)